# Constant Field Values

## Contents

- org.eigenbase.*

## org.eigenbase.*

org.eigenbase.resgen.Resource
Modifier and Type
Constant Field
Value
`public static final int`
`SEVERITY_ERR`
`1`
`public static final int`
`SEVERITY_INFO`
`0`
`public static final int`
`SEVERITY_NON_FATAL_ERR`
`3`
`public static final int`
`SEVERITY_WARN`
`2`
org.eigenbase.resgen.ResourceDefinition
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_DATE`
`2`
`public static final int`
`TYPE_NUMBER`
`1`
`public static final int`
`TYPE_STRING`
`0`
`public static final int`
`TYPE_TIME`
`3`
`public static final int`
`TYPE_UNKNOWN`
`-1`
org.eigenbase.resgen.ResourceGenTask
Modifier and Type
Constant Field
Value
`public static final int`
`COMMENT_STYLE_NORMAL`
`1`
`public static final int`
`COMMENT_STYLE_SCM_SAFE`
`2`
`public static final int`
`STYLE_DYNAMIC`
`1`
`public static final int`
`STYLE_FUNCTOR`
`2`

org.eigenbase.xom.DOMWrapper
Modifier and Type
Constant Field
Value
`public static final int`
`CDATA`
`4`
`public static final int`
`COMMENT`
`3`
`public static final int`
`ELEMENT`
`2`
`public static final int`
`FREETEXT`
`1`
`public static final int`
`UNKNOWN`
`0`
org.eigenbase.xom.MetaDef
Modifier and Type
Constant Field
Value
`public static final String`
`Code`
`"Code"`
`public static final String`
`Doc`
`"Doc"`
`public static final String`
`Value`
`"Value"`
org.eigenbase.xom.XOMUtil
Modifier and Type
Constant Field
Value
`static final int`
`MSXML`
`1`
`static final int`
`XERCES`
`2`

org.eigenbase.xom.wrappers.org.eigenbase.xom.wrappers.GenericDOMParser
Modifier and Type
Constant Field
Value
`static final String`
`LOAD_EXTERNAL_DTD_FEATURE`
`"http://apache.org/xml/features/nonvalidating/load-external-dtd"`
`static final String`
`VALIDATION_FEATURE`
`"http://xml.org/sax/features/validation"`